
%global meadversion 1.0.0
%global namedversion 1.0.0.redhat-83
%global meadalpha .redhat_83
%global meadrel .1
%global serial 1
%global namedversionrel redhat-83

%{?scl:%scl_package microprofile-health} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 1.0.0.redhat-83

Name:		    %{?scl_prefix}microprofile-health
Summary:	    MicroProfile Health
Version:	    %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: microprofile-health-parent-1.0.0.redhat-83-project-sources.tar.gz
Source102: microprofile-health-api-1.0.0.redhat-83-sources.jar
Source103: microprofile-health-tck-1.0.0.redhat-83-javadoc.jar
Source104: microprofile-health-tck-1.0.0.redhat-83.jar
Source105: microprofile-health-tck-1.0.0.redhat-83.pom
Source106: microprofile-health-sample-1.0.0.redhat-83.jar
Source107: microprofile-health-api-1.0.0.redhat-83.jar
Source108: microprofile-health-parent-1.0.0.redhat-83.pom
Source109: microprofile-health-tck-1.0.0.redhat-83-tests.jar
Source110: microprofile-health-api-1.0.0.redhat-83-tests.jar
Source111: microprofile-health-api-1.0.0.redhat-83.pom
Source112: microprofile-health-sample-1.0.0.redhat-83.pom
Source113: microprofile-health-tck-1.0.0.redhat-83-sources.jar
Source114: microprofile-health-api-1.0.0.redhat-83-javadoc.jar
Source115: microprofile-health-spec-1.0.0.redhat-83.pom
%endif

License:        ASL 2.0
URL:            https://github.com/eclipse/microprofile-health
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for microprofile-health
Group:          Development/Java


%description javadoc
Javadoc for microprofile-health
%endif

%package sample
Summary:        MicroProfile Health Sample Implementation
Group:          Development/Java


%description sample
%{summary}.

%package tck
Summary:        MicroProfile Health TCK
Group:          Development/Java


%description tck
%{summary}.

%prep

%setup -q -n microprofile-health-parent-%{namedversion} -T -b 100

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

#jars
%{__cp} -p %{_sourcedir}/microprofile-health-api-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/microprofile-health-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/microprofile-health-sample-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/microprofile-health-tck-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/microprofile-health-tck-%{namedversion}-sources.jar %{buildroot}%{_javadir}

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/microprofile-health-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/microprofile-health-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/microprofile-health-api-%{namedversion} -x META-INF/\*
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s microprofile-health-api-%{namedversion} microprofile-health-api)
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.adoc NOTICE LICENSE
%{_javadir}/microprofile-health-api-%{namedversion}.jar
%{_javadir}/microprofile-health-api.jar
%{_javadir}/microprofile-health-api-%{namedversion}-sources.jar
%{_javadir}/microprofile-health-api-sources.jar

%files sample
%defattr(0644,root,root,0755)
%{_javadir}/microprofile-health-sample-%{namedversion}.jar
%{_javadir}/microprofile-health-sample.jar

%files tck
%defattr(0644,root,root,0755)
%{_javadir}/microprofile-health-tck-%{namedversion}.jar
%{_javadir}/microprofile-health-tck.jar
%{_javadir}/microprofile-health-tck-%{namedversion}-sources.jar
%{_javadir}/microprofile-health-tck-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/microprofile-health-api
%{_javadocdir}/microprofile-health-api-%{namedversion}
%endif

%changelog
* Fri Sep 28 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_83.1
- 1.0.0.redhat-83

* Fri Sep 28 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_83.1
- 1.0.0.redhat-83

* Fri Sep 28 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_83.1
- 1.0.0.redhat-83

* Fri Sep 28 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_83.1
- 1.0.0.redhat-83

* Fri Sep 28 2018 Yong Yang <yyang@redhat.com> - 1.0.0.redhat-83
- Init build
